Write a file into the sandbox
curl --request POST \
--url https://api.devic.ai/v1/environments/{environmentId}/sandbox/files/write \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sandboxId": "<string>",
"destinationPath": "/workspace/report.sql",
"content": "<string>",
"sourceUrl": "<string>"
}
'import requests
url = "https://api.devic.ai/v1/environments/{environmentId}/sandbox/files/write"
payload = {
"sandboxId": "<string>",
"destinationPath": "/workspace/report.sql",
"content": "<string>",
"sourceUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sandboxId: '<string>',
destinationPath: '/workspace/report.sql',
content: '<string>',
sourceUrl: '<string>'
})
};
fetch('https://api.devic.ai/v1/environments/{environmentId}/sandbox/files/write', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Sandboxes
Write a file into the sandbox
Either inline content or a sourceUrl to fetch the bytes from.
POST
/
v1
/
environments
/
{environmentId}
/
sandbox
/
files
/
write
Write a file into the sandbox
Authorizations
Use JWT token for authentication
Path Parameters
Environment id
Body
application/json
Response
Success